| IGLib 1.6.0 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Properties | List of all members
IG.Num.IMatrix< ComponentType > Interface Template Reference

Generic Matrix interface. More...

## Public Member Functions
ComponentType[,] | ToArray ()
| Creates and returns a rectangular 2D array that contains a component-wise copy of the matrix. More...
ComponentType[][] | ToJaggedArray ()
| Creates and returns a jagged 2D array that contains a component-wise copy of the matrix. More...
void | SetZero ()
| Sets all components of the current matrix to 0. More...
void | Negate ()
| Negates the matrix. More...

## Properties
int | RowCount`[get]`
| Gets the number of rows. More...
int | ColumnCount`[get]`
| Gets the number of columns. More...
int | Count`[get]`
| Gets total number of elements. More...
ComponentType | this[int i, int j]`[get, set]`
| Gets or set the element indexed by `(i, j)` in the `Matrix`. More...
ComponentType | this[int flatIndex]`[get, set]`
| Gets or set the element indexed by the specified `flat index` in the `Matrix`. More...
ComponentType | Trace`[get]`
| Gets matrix trace (sum of diagonal terms). More...
double | NormForbenius`[get]`
| Gets Forbenious (or Euclidean) norm of the matrix - square root of sum of squares of elements. More...
double | NormEuclidean`[get]`
| Gets Forbenious (or Euclidean) norm of the matrix - square root of sum of squares of elements. More...
double | Norm`[get]`
| Gets Forbenious (or Euclidean) norm of the matrix - square root of sum of squares of elements. More...

## Detailed Description

Generic Matrix interface.

$A Igor Sep08 Jan09;

## Member Function Documentation

ComponentType [,] IG.Num.IMatrix< ComponentType >.ToArray | ( |  | ) |

Creates and returns a rectangular 2D array that contains a component-wise copy of the matrix.

ComponentType [][] IG.Num.IMatrix< ComponentType >.ToJaggedArray | ( |  | ) |

Creates and returns a jagged 2D array that contains a component-wise copy of the matrix.

void IG.Num.IMatrix< ComponentType >.SetZero | ( |  | ) |

Sets all components of the current matrix to 0.

void IG.Num.IMatrix< ComponentType >.Negate | ( |  | ) |

Negates the matrix.

## Property Documentation

int IG.Num.IMatrix< ComponentType >.RowCount
| get

Gets the number of rows.

int IG.Num.IMatrix< ComponentType >.ColumnCount
| get

Gets the number of columns.

int IG.Num.IMatrix< ComponentType >.Count
| get

Gets total number of elements.

Warning: this is usually done by multiplying RowCount and ColumnCount, so it is not a priceless operation.

ComponentType IG.Num.IMatrix< ComponentType >.this[int i, int j]
| get set

Gets or set the element indexed by `(i, j)` in the `Matrix`.

Parameters

  i | Row index.
  j | Column index.

ComponentType IG.Num.IMatrix< ComponentType >.this[int flatIndex]
| get set

Gets or set the element indexed by the specified `flat index` in the `Matrix`.

Parameters

  flatIndex | Flat (one dimensional) index that addresses matrix element.

ComponentType IG.Num.IMatrix< ComponentType >.Trace
| get

Gets matrix trace (sum of diagonal terms).

double IG.Num.IMatrix< ComponentType >.NormForbenius
| get

Gets Forbenious (or Euclidean) norm of the matrix - square root of sum of squares of elements.

double IG.Num.IMatrix< ComponentType >.NormEuclidean
| get

Gets Forbenious (or Euclidean) norm of the matrix - square root of sum of squares of elements.

double IG.Num.IMatrix< ComponentType >.Norm
| get

Gets Forbenious (or Euclidean) norm of the matrix - square root of sum of squares of elements.

The documentation for this interface was generated from the following file:

- igbase/numeric/MatrixBase.cs